"""

Part of the tagit module.
A copy of the license is provided with the project.
Author: Matthias Baumgartner, 2016

"""
# IMPORTS

# INNER-MODULE IMPORTS

# EXPORTS
__all__ = ('VSidebox', )

# LOAD KV

# CLASSES
class VSidebox(object):
    """Template class of a Sidebox.

    The Sidebox provides additional functionality to the user. It may be related
    to the images currently seen (e.g. list of tags) or provide basic functionality
    (e.g. load or save the database).

    The Sidebox can use data from the database or settings (via its controller)
    or from the image display facility (via the mainWidget).

    """
    def on_widget_change(self, instance, widget):
        """Re-initialize the Sidebox to a new mainWidget.
        Should bind to events and properties of the *widget* such
        that the Sidebox is updated upon change in the mainWidget.
        """
        pass

## EOF ##
